View Issue Details

IDProjectCategoryView StatusLast Update
13406Bug reports[All Projects] Survey takingpublic2018-03-09 16:36
Reporterjansch2015 Assigned Tomarkusfluer  
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version3.1.x 
Target VersionFixed in Version3.4.x 
Summary13406: Survey crashes in AJAX-Mode
Description

Survey with time limit crashes in ajaxmode when time limit passes.

Steps To Reproduce
  1. Import the attached survey (includes questions with time limit)
  2. Go to Configuration => Themes => bootswatch => theme options => Ajaxmode -> Yes
  3. Take the survey and enter data
  4. When on a question with time limit, wait until time limit passes
  5. Crash
Additional Information

Happens on any system so far, really seems to be a limesurvey-bug.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.4.1+180221
I will donate to the project if issue is resolvedNo
BrowserFirefox, Edge, IE
Database & DB-VersionN/A
Server OS (if known)N/A
Webserver software & version (if known)N/A
PHP Version7.0

Activities

jansch2015

jansch2015

2018-02-22 21:22

reporter  

limesurvey_survey_226782.lss (239,714 bytes)
jansch2015

jansch2015

2018-02-22 21:33

reporter   ~46727

Actually, noticed right now, that I am not the only one... https://www.limesurvey.org/forum/design-issues/113730-error-message-please-use-the-limesurvey-navigation-buttons

There are several posts about it. Has it not yet been reported in the bug tracker?

markusfluer

markusfluer

2018-03-09 11:06

administrator   ~46956

This was fixed by the general refactoring of the timer
Commit: ea69760b0f00a4b70ba302526904dbfa3583608e

c_schmitz

c_schmitz

2018-03-09 16:36

administrator   ~46981

Version 3.5.0 180309 released

Issue History

Date Modified Username Field Change
2018-02-22 21:22 jansch2015 New Issue
2018-02-22 21:22 jansch2015 File Added: limesurvey_survey_226782.lss
2018-02-22 21:33 jansch2015 Note Added: 46727
2018-02-26 15:52 ollehar Assigned To => markusfluer
2018-02-26 15:52 ollehar Status new => assigned
2018-03-09 11:06 markusfluer Status assigned => resolved
2018-03-09 11:06 markusfluer Resolution open => fixed
2018-03-09 11:06 markusfluer Fixed in Version => 3.4.x
2018-03-09 11:06 markusfluer Note Added: 46956
2018-03-09 16:36 c_schmitz Note Added: 46981
2018-03-09 16:36 c_schmitz Status resolved => closed